<resources xmlns:tools="http://schemas.android.com/tools">
    <!-- Base application theme. -->
    <!--    <style name="Theme.Semestral" parent="Theme.MaterialComponents.NoActionBar">-->
    <!-- Primary brand color. -->
    <!--        <item name="colorPrimary">@color/purple_500</item>-->
    <!--        <item name="colorPrimaryVariant">@color/purple_700</item>-->
    <!--        <item name="colorOnPrimary">@color/white</item>-->
    <!--        &lt;!&ndash; Secondary brand color. &ndash;&gt;-->
    <!--        <item name="colorSecondary">@color/teal_200</item>-->
    <!--        <item name="colorSecondaryVariant">@color/teal_700</item>-->
    <!--        <item name="colorOnSecondary">@color/black</item>-->
    <!--        &lt;!&ndash; Status bar color. &ndash;&gt;-->
    <!--        <item name="android:statusBarColor" tools:targetApi="l">?attr/colorPrimaryVariant</item>-->
    <!-- Customize your theme here. -->
    <!--    </style>-->

    <!--    <style name="Theme.Semestral.NoActionBar">-->
    <!--        <item name="windowActionBar">false</item>-->
    <!--        <item name="windowNoTitle">true</item>-->
    <!--    </style>-->

    <!--    <style name="Theme.Semestral.AppBarOverlay" parent="ThemeOverlay.AppCompat.Dark.ActionBar" />-->

    <!--    <style name="Theme.Semestral.PopupOverlay" parent="ThemeOverlay.AppCompat.Light" />-->


    <style name="Theme.Semestral" parent="Theme.MaterialComponents.DayNight.NoActionBar">
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
        <item name="android:statusBarColor">@color/white</item>
        <item name="android:windowLightStatusBar">true</item>
        <item name="android:forceDarkAllowed" tools:targetApi="q">false</item>


        <!-- Original AppCompat attributes. -->
        <item name="colorPrimary">@color/my_app_primary</item>
        <item name="colorPrimaryDark">@color/my_app_primary</item>
        <item name="colorSecondary">@color/my_app_secondary</item>
        <item name="android:colorBackground">@color/my_app_background</item>
        <item name="colorError">@color/my_app_error</item>

        <!--         MaterialComponents attributes (needed if parent="Theme.AppCompat"). -->
        <!--        <item name="colorPrimaryVariant">@color/my_app_primary_variant</item>-->
        <!--        <item name="colorSecondaryVariant">@color/my_app_secondary_variant</item>-->
        <item name="colorSurface">@color/my_app_surface</item>
        <!--        <item name="colorOnPrimary">@color/my_app_background</item>-->
        <!--        <item name="colorOnSecondary">@color/my_app_on_secondary</item>-->
        <item name="colorOnBackground">@color/my_app_on_background</item>
        <!--        <item name="colorOnError">@color/my_app_on_error</item>-->
        <item name="colorOnSurface">@color/my_app_on_surface</item>
        <!--        <item name="scrimBackground">@color/mtrl_scrim</item>-->

        <item name="textAppearanceHeadline1">@style/TextAppearance.MaterialComponents.Headline1
        </item>
        <item name="textAppearanceHeadline2">@style/TextAppearance.MaterialComponents.Headline2
        </item>
        <item name="textAppearanceHeadline3">@style/TextAppearance.MaterialComponents.Headline3
        </item>
        <item name="textAppearanceHeadline4">@style/TextAppearance.MaterialComponents.Headline4
        </item>
        <item name="textAppearanceHeadline5">@style/TextAppearance.MaterialComponents.Headline5
        </item>
        <item name="textAppearanceHeadline6">@style/TextAppearance.MaterialComponents.Headline6
        </item>
        <item name="textAppearanceSubtitle1">@style/TextAppearance.MaterialComponents.Subtitle1
        </item>
        <item name="textAppearanceSubtitle2">@style/TextAppearance.MaterialComponents.Subtitle2
        </item>
        <item name="textAppearanceBody1">@style/TextAppearance.MaterialComponents.Body1</item>
        <item name="textAppearanceBody2">@style/TextAppearance.MaterialComponents.Body2</item>
        <item name="textAppearanceCaption">@style/TextAppearance.MaterialComponents.Caption</item>
        <item name="textAppearanceButton">@style/TextAppearance.MaterialComponents.Button</item>
        <item name="textAppearanceOverline">@style/TextAppearance.MaterialComponents.Overline</item>

        <!-- Material3 attributes (needed if parent="Theme.MaterialComponents"). -->
        <item name="colorPrimaryInverse">@color/my_app_primary_inverse</item>
        <item name="colorPrimaryContainer">@color/my_app_primary_container</item>
        <item name="colorOnPrimaryContainer">@color/my_app_on_primary_container</item>
        <item name="colorSecondaryContainer">@color/my_app_secondary_container</item>
        <item name="colorOnSecondaryContainer">@color/my_app_on_secondary_container</item>
        <item name="colorTertiary">@color/my_app_tertiary</item>
        <item name="colorOnTertiary">@color/my_app_on_tertiary</item>
        <item name="colorTertiaryContainer">@color/my_app_tertiary_container</item>
        <item name="colorOnTertiaryContainer">@color/my_app_on_tertiary_container</item>
        <item name="colorSurfaceVariant">@color/my_app_surface_variant</item>
        <item name="colorOnSurfaceVariant">@color/my_app_on_surface_variant</item>
        <item name="colorSurfaceInverse">@color/my_app_inverse_surface</item>
        <item name="colorOnSurfaceInverse">@color/my_app_inverse_on_surface</item>
        <item name="colorOutline">@color/my_app_outline</item>
        <item name="colorErrorContainer">@color/my_app_error_container</item>
        <item name="colorOnErrorContainer">@color/my_app_on_error_container</item>


        <item name="textAppearanceDisplayLarge">@style/TextAppearance.Material3.DisplayLarge</item>
        <item name="textAppearanceDisplayMedium">@style/TextAppearance.Material3.DisplayMedium
        </item>
        <item name="textAppearanceDisplaySmall">@style/TextAppearance.Material3.DisplaySmall</item>
        <item name="textAppearanceHeadlineLarge">@style/TextAppearance.Material3.HeadlineLarge
        </item>
        <item name="textAppearanceHeadlineMedium">@style/TextAppearance.Material3.HeadlineMedium
        </item>
        <item name="textAppearanceHeadlineSmall">@style/TextAppearance.Material3.HeadlineSmall
        </item>
        <item name="textAppearanceTitleLarge">@style/TextAppearance.Material3.TitleLarge</item>
        <item name="textAppearanceTitleMedium">@style/TextAppearance.Material3.TitleMedium</item>
        <item name="textAppearanceTitleSmall">@style/TextAppearance.Material3.TitleSmall</item>
        <item name="textAppearanceBodyLarge">@style/TextAppearance.Material3.BodyLarge</item>
        <item name="textAppearanceBodyMedium">@style/TextAppearance.Material3.BodyMedium</item>
        <item name="textAppearanceBodySmall">@style/TextAppearance.Material3.BodySmall</item>
        <item name="textAppearanceLabelLarge">@style/TextAppearance.Material3.LabelLarge</item>
        <item name="textAppearanceLabelMedium">@style/TextAppearance.Material3.LabelMedium</item>
        <item name="textAppearanceLabelSmall">@style/TextAppearance.Material3.LabelSmall</item>
        <item name="shapeAppearanceSmallComponent">@style/ShapeAppearance.Material3.SmallComponent
        </item>
        <item name="shapeAppearanceMediumComponent">
            @style/ShapeAppearance.Material3.MediumComponent
        </item>
        <item name="shapeAppearanceLargeComponent">@style/ShapeAppearance.Material3.LargeComponent
        </item>

    </style>

    <style name="Widget.MyApp.Button.TextButton" parent="Widget.MaterialComponents.Button.TextButton">
        <item name="android:textColor">@color/my_app_on_background</item>
        <item name="android:text">@style/TextAppearance.Material3.LabelSmall</item>
        <item name="android:letterSpacing">0</item>
        <item name="android:textAllCaps">false</item>
    </style>

</resources>